local M = {}

local helper = require('scenario/scenariohelper')


 
local function fail(reason)
  scenario_scenarios.finish({failed = reason})
end

local function success(reason)
  scenario_scenarios.finish({msg = reason})
end

  

local function onRaceWaypointReached(data)
	local playerVehicleId = be:getPlayerVehicleID(0)
	if data.vehicleId == playerVehicleId then

		if data.waypointName == 'waypoint_12' then
			success('We will do our best at fixing it. ')	
		end
		if data.waypointName == 'waypoint_10' then
			success('Well, this was unfortunate. But I guess its all for the best.')
		end
	end
end

M.onRaceWaypointReached = onRaceWaypointReached
M.onBeamNGTrigger = onBeamNGTrigger

return M



